KXMLGUIBuilder class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KXMLGUIBuilder Class Reference

Abstract interface for a "GUI builder", used by the GUIFactory This interface is implemented by KMainWindow for the case where the toplevel widget is a KMainWindow. More...

`#include <kxmlguibuilder.h>`

Inheritance diagram for KXMLGUIBuilder:

[legend]
List of all members.

## Public Member Functions
| KXMLGUIBuilder (QWidget *widget)
KXMLGUIClient * | builderClient () const
void | setBuilderClient (KXMLGUIClient *client)
KInstance * | builderInstance () const
void | setBuilderInstance (KInstance *instance)
QWidget * | widget ()
virtual QStringList | containerTags () const
virtual QWidget * | createContainer (QWidget *parent, int index, const QDomElement &element, int &id)
| Creates a container (menubar/menu/toolbar/statusbar/separator/...) from an element in the XML file.
virtual void | removeContainer (QWidget *container, QWidget *parent, QDomElement &element, int id)
| Removes the given (and previously via createContainer ) created container.
virtual QStringList | customTags () const
virtual int | createCustomElement (QWidget *parent, int index, const QDomElement &element)
virtual void | removeCustomElement (QWidget *parent, int id)
virtual void | finalizeGUI (KXMLGUIClient *client)
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Abstract interface for a "GUI builder", used by the GUIFactory This interface is implemented by KMainWindow for the case where the toplevel widget is a KMainWindow.

Other implementations may appear in the future (dialogs for instance)

Definition at line 37 of file kxmlguibuilder.h.

## Member Function Documentation

QWidget * KXMLGUIBuilder::createContainer | ( | QWidget * | parent,
|  | int | index,
|  | const QDomElement & | element,
|  | int & | id
| ) | `[virtual]`

  | Creates a container (menubar/menu/toolbar/statusbar/separator/...) from an element in the XML file. Parameters:
  parent | The parent for the container
  index | The index where the container should be inserted into the parent container/widget
  element | The element from the DOM tree describing the container (use it to access container specified attributes or child elements)
  containerStateBuffer | A buffer which possibibly contains previously saved container state information, return via removeContainer .
Definition at line 111 of file kxmlguibuilder.cpp. References QDomElement::attribute(), KGlobal::instance(), KNotifyClient::instance(), QString::isEmpty(), QCString::isEmpty(), KToolBar::loadState(), KStdAccel::name(), QWidget::parentWidget(), KToolBar::setXMLGUIClient(), KMenuBar::show(), KMainWindow::statusBar(), QDomElement::tagName(), and QDomElement::text().

void KXMLGUIBuilder::removeContainer | ( | QWidget * | container,
|  | QWidget * | parent,
|  | QDomElement & | element,
|  | int | id
| ) | `[virtual]`

| Removes the given (and previously via createContainer ) created container. Returns: A buffer containing state information about the deleted container (like the last position of a toolbar container for example). The buffer is passed again to createContainer when the same container is about to be created again later. Definition at line 228 of file kxmlguibuilder.cpp. References QWidget::hide(), QMenuBar::hide(), and KToolBar::saveState().

The documentation for this class was generated from the following files:

- kxmlguibuilder.h
- kxmlguibuilder.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:27 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001